# PeeredZoneRegistry.PeerZoneMoveHandler (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.peer.server
Class PeeredZoneRegistry.PeerZoneMoveHandler

    java.lang.Object
      com.threerings.whirled.server.AbstractSceneMoveHandler
          com.threerings.whirled.zone.server.ZoneMoveHandler
              com.threerings.whirled.zone.peer.server.PeeredZoneRegistry.PeerZoneMoveHandler

All Implemented Interfaces:
  SceneRegistry.ResolutionListener, PeeredZoneRegistry.PeerZoneResolutionListener, ZoneManager.ResolutionListener

Enclosing class:
  PeeredZoneRegistry

    public abstract static class PeeredZoneRegistry.PeerZoneMoveHandler

extends ZoneMoveHandler
implements PeeredZoneRegistry.PeerZoneResolutionListener

A ZoneMoveHandler that can receive the sceneOnNode() callback.

Constructor Summary
`PeeredZoneRegistry.PeerZoneMoveHandler(com.threerings.crowd.server.LocationManager locman, ZoneManager zmgr, SceneRegistry scReg, com.threerings.crowd.data.BodyObject body, int sceneId, int sceneVer, ZoneService.ZoneMoveListener listener)`

Method Summary

Methods inherited from class com.threerings.whirled.zone.server.ZoneMoveHandler
`zoneFailedToResolve, zoneWasResolved`

Methods inherited from class com.threerings.whirled.server.AbstractSceneMoveHandler
`sceneFailedToResolve, sceneWasResolved`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.threerings.whirled.zone.peer.server.PeeredZoneRegistry.PeerZoneResolutionListener
`zoneOnNode`

Methods inherited from interface com.threerings.whirled.zone.server.ZoneManager.ResolutionListener
`zoneFailedToResolve, zoneWasResolved`

Constructor Detail

### PeeredZoneRegistry.PeerZoneMoveHandler

    public PeeredZoneRegistry.PeerZoneMoveHandler(com.threerings.crowd.server.LocationManager locman,
                                                  ZoneManager zmgr,
                                                  SceneRegistry scReg,
                                                  com.threerings.crowd.data.BodyObject body,
                                                  int sceneId,
                                                  int sceneVer,
                                                  ZoneService.ZoneMoveListener listener)

Copyright © 2011. All Rights Reserved.